Modify

Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#430 closed defect (worksforme)

kismet client fails with 'libpanel.so.5' error

Reported by: gr8w11ne Owned by: florian
Priority: normal Milestone: 0.9/rc6
Component: packages Version:
Keywords: kismet Cc:

Description

With a newly loaded RC5 and kismet binaries - when the "starting UI" part of kismet executes get a

can't load library 'libpanel.so.5'

error when starting kismet_client

Attachments (0)

Change History (5)

comment:1 Changed 12 years ago by kaloz

  • Milestone set to 1.0-rc6

comment:2 Changed 12 years ago by mbm

ipkg install libncurses

(this should have been done automatically by ipkg -- which firmware are using?)

comment:3 Changed 12 years ago by florian

  • Owner changed from developers to florian
  • Status changed from new to assigned

comment:4 Changed 12 years ago by florian

  • Resolution set to worksforme
  • Status changed from assigned to closed

I cannot reproduce the bug. When I install kismet-client, libncurses is installed at the same time (it provides libpanel) and I can connect to a remote kismet-server.

Please ensure you have libncurses installed.

comment:5 Changed 12 years ago by gr8w11ne

ipkg removed each kismet, kismet client, kismet server
ipkg install kismet
kismet packages installed; libncurses installed
now working fine! Thanks for looking at this.

Note: the original installation was using my own local packages mirror website; missing libncurses from my mirror; "ipkg install kismet" failed when trying to download libncurses; place libncurses file on mirror; "ipkg install kismet" again and it completed installation with no further error messages but maybe did not properly recover from missing the file.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.